'**********************************************************************
'Project : Demo program to show how to use the 32k SRAM in Micro128.
'Company : Micromint, Inc.
'
'**********************************************************************

$regfile = "m128def.dat"
$baud1 = 9600
$xramstart = &H100
$xramsize = &H7FFF


'Configure the serial port.
Config Com2 = Dummy , Synchrone = 0 , Parity = None , Stopbits = 1 , Databits = 8 , Clockpol = 0
'Configure PORTD.6 as an ouput and the rest of the port as inputs.
Ddrd = 64


'Open the serial port
Open "com2:" For Random As #1

Dim X As Xram String * 50


Do
   Portd.6 = 1                'Enable the transmitter
   Waitms 10                  'Wait for the transmitter to settle.
   Print #1 , "Please enter a string!"
   Print #1 ,
   Portd.6 = 0                ' Disable the transmitter
   Input #1 , X
   Portd.6 = 1                'Enable the transmitter
   Waitms 10                  'Wait for the transmitter to settle.
   Print #1 , X
   Print #1 ,
   Portd.6 = 0                ' Disable the transmitter

Loop

Close #1

End