'**********************************************************************
'Project : Demo program to show how to use the 32k SRAM in Micro64.
'Company : Micromint, Inc.
'
'**********************************************************************

$regfile = "m64def.dat"
$baud1 = 9600
$xramstart = &H1100
$xramsize = &H7FFF


'Configure the serial port.
Config Com2 = Dummy , Synchrone = 0 , Parity = None , Stopbits = 1 , Databits = 8 , Clockpol = 0
'Configure PORTD.6 as an ouput and the rest of the port as inputs.
Ddrd = 64


'Open the serial port
Open "com2:" For Random As #1
Dim T As Byte
Dim W As Byte
Dim X As Xram String * 50 At &H2001
Dim K As Xram Byte At &H2000
Declare Sub WRRAM_0000h(BYVAL MemAddr As Word , WrData As Byte)       'declare the SUB program
Declare Sub RDRAM_0000h(BYVAL MemAddr As Word)
K = 100
Portd.6 = 1                   'Enable the transmitter
   Waitms 10                  'Wait for the transmitter to settle.
    Print #1 , "K = " ; K
    Print #1 ,
Do
    K = 230
    Print #1 , "K = " ; K
    Print #1 , "Please enter a Byte!"
    Print #1 ,
    Input #1 , K
    Print #1 , "Please enter a your name!"
    Print #1 ,
    Input #1 , X
    CALL RDRAM_0000h(&H0001)
    CALL RDRAM_0000h(&H0002)
    CALL RDRAM_0000h(&H0003)
    W = 11
    Call WRRAM_0000h(&H0001 , W)
    W = 22
    Call WRRAM_0000h(&H0002 , W)
    W = 33
    Call WRRAM_0000h(&H0003 , W)
    CALL RDRAM_0000h(&H0001)
    CALL RDRAM_0000h(&H0002)
    CALL RDRAM_0000h(&H0003)
    Print #1 , X;
    Print #1 , " entered " ; K;
    Print #1 , " for the variable K."
    Print #1 ,

Loop
End

Sub WRRAM_0000h(MemAddr As Word , WrData As Byte)       'declare the SUB program
DDRC = &HFF
PORTC = 0
XMCRB.0 = 1
XMCRB.1 = 1
OUT MemAddr , WrData
XMCRB.0 = 0
XMCRB.1 = 0
PRINT #1 , "Wrote " ; WrData ; " from address " ; MemAddr
End Sub

Sub RDRAM_0000h(MemAddr As Word)
DDRC = &HFF
PORTC = 0
XMCRB.0 = 1
XMCRB.1 = 1
T = INP(MemAddr)
XMCRB.0 = 0
XMCRB.1 = 0
PRINT #1 , "Read " ; T ; " from address " ; MemAddr

End SUB

Close #1